Package org.pushingpixels.substance.internal.ui

# Class SubstanceMenuBarUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.MenuBarUI
javax.swing.plaf.basic.BasicMenuBarUI
org.pushingpixels.substance.internal.ui.SubstanceMenuBarUI

public class SubstanceMenuBarUI extends BasicMenuBarUI
UI for menu bars in Substance look and feel.

## Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicMenuBarUI

`changeListener, containerListener, menuBar`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceMenuBarUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`JMenuBar`
`getMenuBar()`
Returns the menu bar of this UI delegate.
`protected void`
`installDefaults()`
`protected void`
`uninstallDefaults()`
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class javax.swing.plaf.basic.BasicMenuBarUI

`createChangeListener, createContainerListener, getMaximumSize, getMinimumSize, installKeyboardActions, installListeners, installUI, uninstallKeyboardActions, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getPreferredSize, paint`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceMenuBarUI

public SubstanceMenuBarUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installDefaults

protected void installDefaults()

Overrides:
  `installDefaults` in class `BasicMenuBarUI`

### uninstallDefaults

protected void uninstallDefaults()

Overrides:
  `uninstallDefaults` in class `BasicMenuBarUI`

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `ComponentUI`

### getMenuBar

public JMenuBar getMenuBar()
Returns the menu bar of this UI delegate. This method is for internal use only.

Returns:
  The menu bar of this UI delegate.